#ifndef MY_DELAY_H
#define MY_DELAY_H

//******************** (C) D.Buergin *******************************************
//* File Name          : my_delay.h
//* Author             : D. Buergin
//* Version            : V1.0
//* Date               : 19-02-2009
//* Description        : Headerfile for lcd.c
//******************************************************************************

//* Includes ------------------------------------------------------------------*

#include "stm32f10x.h"

//* Private typedef -----------------------------------------------------------*
//* Private define ------------------------------------------------------------*
//* Private macro -------------------------------------------------------------*
//* Private variables ---------------------------------------------------------*

static __IO uint32_t TimingDelay;

//* Private function prototypes -----------------------------------------------*

void DelayuS(vu32 nCount);	 			// 1uS Delay
void Delay(__IO uint32_t nTime);
void TimingDelay_Decrement(void);

#endif
